Bug 96711 - Add russian rouble new format to money formats
Summary: Add russian rouble new format to money formats
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Localization (show other bugs)
Version:
(earliest affected)
5.0.3.2 release
Hardware: All All
: medium enhancement
Assignee: Eike Rathke
URL:
Whiteboard: target:6.4.0 target:6.3.0.1
Keywords:
Depends on:
Blocks: Number-Format
  Show dependency treegraph
 
Reported: 2015-12-24 16:45 UTC by Yan Pas
Modified: 2019-06-03 17:56 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Yan Pas 2015-12-24 16:45:52 UTC
Since 2013 and Unicode 7.0 Rouble sign is officially supported in UNICODE, it's index U+20BD . Add it please to money formats list. Format will look like 12.50 ₽
Comment 1 Buovjaga 2015-12-27 16:47:15 UTC
Ok -> NEW.
Comment 2 Eike Rathke 2019-02-18 15:56:21 UTC
This went under the radar..
For which of the Russian locales should that be applied? Currently we have *_RU locales with currency code RUB and the symbols:

cu_RU: рꙋб.
cv_RU: тен.
myv_RU: цел
ru_RU: руб.
tt_RU: руб.
Comment 3 Yan Pas 2019-02-19 20:17:09 UTC
RU means russian federation as a territory https://datahub.io/core/language-codes

So every locale that ends with _RU must use rouble as a currency since it's the only valid currency in Russian federation. The federation has republics (like Tatarstan) but none of them has any local currency.
Comment 4 Eike Rathke 2019-02-20 12:56:42 UTC
Of course they all have RUB currency, but so far they also have localized currency *symbols*.
Comment 5 Yan Pas 2019-02-20 15:09:07 UTC
Hm, I think you can use the same currency symbol for all of them.
Comment 6 Commit Notification 2019-06-03 17:55:05 UTC
Eike Rathke committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/d83e831747c1e7a57296c7f1d64a5d51a97cef91%5E%21

Resolves: tdf#96711 RUB currency symbol is ₽ U+20BD RUBLE SIGN

It will be available in 6.4.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 7 Commit Notification 2019-06-03 17:55:23 UTC
Eike Rathke committed a patch related to this issue.
It has been pushed to "libreoffice-6-3":

https://git.libreoffice.org/core/+/4ace5fdb0472cdfbbd64f52eac473d21baea6601%5E%21

Resolves: tdf#96711 RUB currency symbol is ₽ U+20BD RUBLE SIGN

It will be available in 6.3.0.1.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.